// ElevatorsApp.cpp: implementation of the CElevatorsApp class.
//
//////////////////////////////////////////////////////////////////////

#include "ElevatorsApp.h"
#include "ElevatorsDlg.h"

#include "TNeuro.h"
#include "TCommonNeuroConsts.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CElevatorsApp::CElevatorsApp()
{
   SetSigmoidType( ELEV_SIGMOID_TYPE ); 
   SetNiuParm( NIU_PARM );
   SetMiuParm( MIU_PARM );
   SetLimit( LIMIT ); 
}

CElevatorsApp::~CElevatorsApp()
{

}

CElevatorsDlg* elevatorsDlg;
BOOL CElevatorsApp::InitInstance()
{
   CElevatorsDlg dlg;
   m_pMainWnd = &dlg;
   elevatorsDlg = &dlg;
   dlg.DoModal();
   
   return TRUE;
}

CElevatorsApp theApp;